lkftfragments: &lkftfragments
  - &frag-lkft-base https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft.config
  - &frag-lkft-crypto https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/lkft-crypto.config
  - &frag-lkft-distro https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/distro-overrides.config
  - &frag-lkft-systemd https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/systemd.config
  - &frag-lkft-virtio https://raw.githubusercontent.com/Linaro/meta-lkft/kirkstone/meta/recipes-kernel/linux/files/virtio.config

rootfs-lkft-arm: &rootfs-lkft-arm https://storage.lkft.org/rootfs/oe-kirkstone/20220716-120338/am57xx-evm/lkft-tux-image-am57xx-evm-20220716121157.rootfs.ext4.gz
rootfs-lkft-arm64: &rootfs-lkft-arm64 https://storage.lkft.org/rootfs/oe-kirkstone/20220716-120338/juno/lkft-tux-image-juno-20220716135752.rootfs.ext4.gz
rootfs-lkft-i386: &rootfs-lkft-i386 https://storage.lkft.org/rootfs/oe-kirkstone/20220716-120338/intel-core2-32/lkft-tux-image-intel-core2-32-20220716121228.rootfs.ext4.gz
rootfs-lkft-x86_64: &rootfs-lkft-x86_64 https://storage.lkft.org/rootfs/oe-kirkstone/20220716-120338/intel-corei7-64/lkft-tux-image-intel-corei7-64-20220716135138.rootfs.ext4.gz

boot-timeout-arm: &boot-timeout-arm 30
boot-timeout-arm64: &boot-timeout-arm64 30
boot-timeout-i386: &boot-timeout-i386 15
boot-timeout-x86: &boot-timeout-x86 15

ltp-commands-timeout: &ltp-commands-timeout 60
ltp-containers-timeout: &ltp-containers-timeout 15
ltp-controllers-timeout: &ltp-controllers-timeout 180
ltp-crypto-timeout: &ltp-crypto-timeout 30
ltp-cve-timeout: &ltp-cve-timeout 150
ltp-fs_bind-timeout: &ltp-fs_bind-timeout 50
ltp-fs-timeout: &ltp-fs-timeout 90
ltp-fsx-timeout: &ltp-fsx-timeout 10
ltp-hugetlb-timeout: &ltp-hugetlb-timeout 20
ltp-math-timeout: &ltp-math-timeout 50
ltp-mm-timeout: &ltp-mm-timeout 120
ltp-sched-timeout: &ltp-sched-timeout 60
ltp-syscalls-timeout: &ltp-syscalls-timeout 150
ltp-tracing-timeout: &ltp-tracing-timeout 50
ltp-smoke-timeout: &ltp-smoke-timeout 10

version: 1
name: full kernel validation for linux-4.14.y branch
description: Build and test linux kernel with every toolchain
jobs:
- name: arc
  builds:
    - {target_arch: arc, toolchain: gcc-8, kconfig: allnoconfig}
    - {target_arch: arc, toolchain: gcc-8, kconfig: defconfig}
    - {target_arch: arc, toolchain: gcc-8, kconfig: tinyconfig}
    - {target_arch: arc, toolchain: gcc-8, kconfig: axs103_defconfig}
    - {target_arch: arc, toolchain: gcc-8, kconfig: vdk_hs38_smp_defconfig}
    - {target_arch: arc, toolchain: gcc-9, kconfig: allnoconfig}
    - {target_arch: arc, toolchain: gcc-9, kconfig: defconfig}
    - {target_arch: arc, toolchain: gcc-9, kconfig: tinyconfig}
    - {target_arch: arc, toolchain: gcc-9, kconfig: axs103_defconfig}
    - {target_arch: arc, toolchain: gcc-9, kconfig: vdk_hs38_smp_defconfig}
# arm
- name: armv5
  builds:
    - {target_arch: arm, toolchain: gcc-11,   kconfig: [multi_v5_defconfig, CONFIG_ARCH_VERSATILE=y, CONFIG_PCI_VERSATILE=y, CONFIG_VIRTIO_PCI=y, CONFIG_VIRTIO_MMIO=y, CONFIG_VIRTIO_BLK=y, CONFIG_SERIAL_AMBA_PL011=y, CONFIG_SERIAL_AMBA_PL011_CONSOLE=y, CONFIG_KASAN=y, CONFIG_KUNIT=y, CONFIG_KUNIT_ALL_TESTS=y]}
    - {target_arch: arm, toolchain: clang-14, kconfig: [multi_v5_defconfig, CONFIG_ARCH_VERSATILE=y, CONFIG_PCI_VERSATILE=y, CONFIG_VIRTIO_PCI=y, CONFIG_VIRTIO_MMIO=y, CONFIG_VIRTIO_BLK=y, CONFIG_SERIAL_AMBA_PL011=y, CONFIG_SERIAL_AMBA_PL011_CONSOLE=y, CONFIG_KASAN=y, CONFIG_KUNIT=y, CONFIG_KUNIT_ALL_TESTS=y]}
    - {target_arch: arm, toolchain: clang-nightly,  kconfig: [multi_v5_defconfig, CONFIG_ARCH_VERSATILE=y, CONFIG_PCI_VERSATILE=y, CONFIG_VIRTIO_PCI=y, CONFIG_VIRTIO_MMIO=y, CONFIG_VIRTIO_BLK=y, CONFIG_SERIAL_AMBA_PL011=y, CONFIG_SERIAL_AMBA_PL011_CONSOLE=y, CONFIG_KASAN=y, CONFIG_KUNIT=y, CONFIG_KUNIT_ALL_TESTS=y]}
  tests:
    - device: qemu-armv5
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      tests: [kunit]
      timeouts: { "boot": *boot-timeout-arm }
- name: arm
  builds:
    - {target_arch: arm, toolchain: gcc-8,  kconfig: allnoconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: tinyconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: at91_dt_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: axm55xx_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: bcm2835_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: clps711x_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: davinci_all_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: exynos_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: footbridge_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: imx_v4_v5_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: imx_v6_v7_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: integrator_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: ixp4xx_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: keystone_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: lpc32xx_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: mini2440_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: multi_v5_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: mxs_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: nhk8815_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: omap1_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: omap2plus_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: orion5x_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: pxa910_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: s3c2410_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: s3c6400_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: s5pv210_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: sama5_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: shmobile_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: u8500_defconfig}
    - {target_arch: arm, toolchain: gcc-8,  kconfig: vexpress_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: allnoconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: tinyconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: at91_dt_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: axm55xx_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: bcm2835_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: clps711x_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: davinci_all_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: exynos_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: footbridge_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: imx_v4_v5_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: imx_v6_v7_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: integrator_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: ixp4xx_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: keystone_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: lpc32xx_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: mini2440_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: multi_v5_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: mxs_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: nhk8815_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: omap1_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: omap2plus_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: orion5x_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: pxa910_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: s3c2410_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: s3c6400_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: s5pv210_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: sama5_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: shmobile_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: u8500_defconfig}
    - {target_arch: arm, toolchain: gcc-9,  kconfig: vexpress_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: allnoconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: tinyconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: at91_dt_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: axm55xx_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: bcm2835_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: clps711x_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: davinci_all_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: exynos_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: footbridge_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: imx_v4_v5_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: imx_v6_v7_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: integrator_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: ixp4xx_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: keystone_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: lpc32xx_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: mini2440_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: multi_v5_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: mxs_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: nhk8815_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: omap1_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: omap2plus_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: orion5x_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: pxa910_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: s3c2410_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: s3c6400_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: s5pv210_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: sama5_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: shmobile_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: u8500_defconfig}
    - {target_arch: arm, toolchain: gcc-10, kconfig: vexpress_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: allnoconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: tinyconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: at91_dt_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: axm55xx_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: bcm2835_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: clps711x_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: davinci_all_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: exynos_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: footbridge_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: imx_v4_v5_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: imx_v6_v7_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: integrator_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: ixp4xx_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: keystone_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: lpc32xx_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: mini2440_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: multi_v5_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: mxs_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: nhk8815_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: omap1_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: omap2plus_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: orion5x_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: pxa910_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: s3c2410_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: s3c6400_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: s5pv210_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: sama5_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: shmobile_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: u8500_defconfig}
    - {target_arch: arm, toolchain: gcc-11, kconfig: vexpress_defconfig}
- name: arm-clang
  builds:
    - {target_arch: arm, toolchain: clang-11, kconfig: allnoconfig,           make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: defconfig,             make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: tinyconfig,            make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: at91_dt_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: axm55xx_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: clps711x_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: davinci_all_defconfig, make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: exynos_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: imx_v4_v5_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: imx_v6_v7_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: integrator_defconfig,  make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: ixp4xx_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: keystone_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: lpc32xx_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: mini2440_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: multi_v5_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: mxs_defconfig,         make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: nhk8815_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: omap1_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: omap2plus_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: orion5x_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: pxa910_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: s3c6400_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: s5pv210_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: sama5_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: shmobile_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: u8500_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-11, kconfig: vexpress_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: allnoconfig,           make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: defconfig,             make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: tinyconfig,            make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: at91_dt_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: axm55xx_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: clps711x_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: davinci_all_defconfig, make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: exynos_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: imx_v4_v5_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: imx_v6_v7_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: integrator_defconfig,  make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: ixp4xx_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: keystone_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: lpc32xx_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: mini2440_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: multi_v5_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: mxs_defconfig,         make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: nhk8815_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: omap1_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: omap2plus_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: orion5x_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: pxa910_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: s3c6400_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: s5pv210_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: sama5_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: shmobile_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: u8500_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-12, kconfig: vexpress_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: allnoconfig,           make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: defconfig,             make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: tinyconfig,            make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: at91_dt_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: axm55xx_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: clps711x_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: davinci_all_defconfig, make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: exynos_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: imx_v4_v5_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: imx_v6_v7_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: integrator_defconfig,  make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: ixp4xx_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: keystone_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: lpc32xx_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: mini2440_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: multi_v5_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: mxs_defconfig,         make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: nhk8815_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: omap1_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: omap2plus_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: orion5x_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: pxa910_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: s3c6400_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: s5pv210_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: sama5_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: shmobile_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: u8500_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-13, kconfig: vexpress_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: allnoconfig,           make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: defconfig,             make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: tinyconfig,            make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: at91_dt_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: axm55xx_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: clps711x_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: davinci_all_defconfig, make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: exynos_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: imx_v4_v5_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: imx_v6_v7_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: integrator_defconfig,  make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: ixp4xx_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: keystone_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: lpc32xx_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: mini2440_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: multi_v5_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: mxs_defconfig,         make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: nhk8815_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: omap1_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: omap2plus_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: orion5x_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: pxa910_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: s3c6400_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: s5pv210_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: sama5_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: shmobile_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: u8500_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-14, kconfig: vexpress_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: allnoconfig,           make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: defconfig,             make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: tinyconfig,            make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: at91_dt_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: axm55xx_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: clps711x_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: davinci_all_defconfig, make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: exynos_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: imx_v4_v5_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: imx_v6_v7_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: integrator_defconfig,  make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: ixp4xx_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: keystone_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: lpc32xx_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: mini2440_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: multi_v5_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: mxs_defconfig,         make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: nhk8815_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: omap1_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: omap2plus_defconfig,   make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: orion5x_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: pxa910_defconfig,      make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: s3c6400_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: s5pv210_defconfig,     make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: sama5_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: shmobile_defconfig,    make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: u8500_defconfig,       make_variables: {LLVM_IAS: 0}}
    - {target_arch: arm, toolchain: clang-nightly, kconfig: vexpress_defconfig,    make_variables: {LLVM_IAS: 0}}
- name: arm-lkftconfig-build-only
  builds:
    - build_name: clang-12-lkftconfig
      target_arch: arm
      toolchain: clang-12
      make_variables:
        LLVM_IAS: 0
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM_TI_CPUFREQ=y, CONFIG_SERIAL_8250_OMAP=y, CONFIG_POSIX_MQUEUE=y, CONFIG_OF=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y ]
    - build_name: clang-13-lkftconfig
      target_arch: arm
      toolchain: clang-13
      make_variables:
        LLVM_IAS: 0
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM_TI_CPUFREQ=y, CONFIG_SERIAL_8250_OMAP=y, CONFIG_POSIX_MQUEUE=y, CONFIG_OF=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y ]
    - build_name: gcc-10-lkftconfig-debug
      target_arch: arm
      toolchain: gcc-10
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM_TI_CPUFREQ=y, CONFIG_SERIAL_8250_OMAP=y, CONFIG_POSIX_MQUEUE=y, CONFIG_OF=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y,CONFIG_DEBUG_ATOMIC_SLEEP=y, CONFIG_DEBUG_INFO=y, CONFIG_DEBUG_PREEMPT=y, CONFIG_DEBUG_VM=y ]
    - build_name: gcc-10-lkftconfig-debug-kmemleak
      target_arch: arm
      toolchain: gcc-10
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM_TI_CPUFREQ=y, CONFIG_SERIAL_8250_OMAP=y, CONFIG_POSIX_MQUEUE=y, CONFIG_OF=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_DEBUG_KMEMLEAK=y ]
    - build_name: gcc-10-lkftconfig-kasan
      target_arch: arm
      toolchain: gcc-10
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM_TI_CPUFREQ=y, CONFIG_SERIAL_8250_OMAP=y, CONFIG_POSIX_MQUEUE=y, CONFIG_OF=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_KASAN=y, CONFIG_FTRACE=n, CONFIG_KPROBES=n ]
    - build_name: gcc-10-lkftconfig-kselftest-kernel
      target_arch: arm
      toolchain: gcc-10
      targets: ["debugkernel", "dtbs", "dtbs-legacy", "headers", "kernel", "modules"]
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM_TI_CPUFREQ=y, CONFIG_SERIAL_8250_OMAP=y, CONFIG_POSIX_MQUEUE=y, CONFIG_OF=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, make:kselftest-merge ]
    - build_name: gcc-10-lkftconfig-perf
      target_arch: arm
      toolchain: gcc-10
      targets: ["dtbs", "dtbs-legacy", "headers", "kernel", "modules", "perf"]
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM_TI_CPUFREQ=y, CONFIG_SERIAL_8250_OMAP=y, CONFIG_POSIX_MQUEUE=y, CONFIG_OF=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_FTRACE_SYSCALLS=y ]
- name: arm-lkftconfig-tests
  builds:
    - build_name: clang-14-lkftconfig
      target_arch: arm
      toolchain: clang-14
      make_variables:
        LLVM_IAS: 0
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM_TI_CPUFREQ=y, CONFIG_SERIAL_8250_OMAP=y, CONFIG_POSIX_MQUEUE=y, CONFIG_OF=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y ]
    - build_name: clang-nightly-lkftconfig
      target_arch: arm
      toolchain: clang-nightly
      make_variables:
        LLVM_IAS: 0
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM_TI_CPUFREQ=y, CONFIG_SERIAL_8250_OMAP=y, CONFIG_POSIX_MQUEUE=y, CONFIG_OF=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y ]
    - build_name: gcc-10-lkftconfig
      target_arch: arm
      toolchain: gcc-10
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM_TI_CPUFREQ=y, CONFIG_SERIAL_8250_OMAP=y, CONFIG_POSIX_MQUEUE=y, CONFIG_OF=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y ]
  tests:
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [libhugetlbfs]
      timeouts: { "boot": *boot-timeout-arm }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-cap_bounds]
      timeouts: { "boot": *boot-timeout-arm }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-commands]
      timeouts: { "boot": *boot-timeout-arm, "ltp-commands": *ltp-commands-timeout }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-containers]
      timeouts: { "boot": *boot-timeout-arm, "ltp-containers": *ltp-containers-timeout }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-crypto]
      timeouts: { "boot": *boot-timeout-arm, "ltp-crypto": *ltp-crypto-timeout }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-cve]
      timeouts: { "boot": *boot-timeout-arm, "ltp-cve": *ltp-cve-timeout }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-filecaps]
      timeouts: { "boot": *boot-timeout-arm }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-fs]
      timeouts: { "boot": *boot-timeout-arm, "ltp-fs": *ltp-fs-timeout }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-hugetlb]
      timeouts: { "boot": *boot-timeout-arm, "ltp-hugetlb": *ltp-hugetlb-timeout }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-io]
      timeouts: { "boot": *boot-timeout-arm }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-ipc]
      timeouts: { "boot": *boot-timeout-arm }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-math]
      timeouts: { "boot": *boot-timeout-arm, "ltp-math": *ltp-math-timeout }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-mm]
      timeouts: { "boot": *boot-timeout-arm, "ltp-mm": *ltp-mm-timeout }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-pty]
      timeouts: { "boot": *boot-timeout-arm }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-sched]
      timeouts: { "boot": *boot-timeout-arm, "ltp-sched": *ltp-sched-timeout }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-securebits]
      timeouts: { "boot": *boot-timeout-arm }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-syscalls]
      timeouts: { "boot": *boot-timeout-arm, "ltp-syscalls": *ltp-syscalls-timeout }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-tracing]
      timeouts: { "boot": *boot-timeout-arm, "ltp-tracing": *ltp-tracing-timeout }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-controllers]
      timeouts: { "boot": *boot-timeout-arm, "ltp-controllers": *ltp-controllers-timeout }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-fcntl-locktests]
      timeouts: { "boot": *boot-timeout-arm }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-fs_bind]
      timeouts: { "boot": *boot-timeout-arm, "ltp-fs_bind": *ltp-fs_bind-timeout }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-fs_perms_simple]
      timeouts: { "boot": *boot-timeout-arm }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-fsx]
      timeouts: { "boot": *boot-timeout-arm, "ltp-fsx": *ltp-fsx-timeout }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-nptl]
      timeouts: { "boot": *boot-timeout-arm }
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [ltp-smoke]
      timeouts: { "boot": *boot-timeout-arm, "ltp-smoke": *ltp-smoke-timeout }
- name: arm-gcc-libgpiod
  builds:
    - build_name: gcc-10-lkftconfig-libgpiod
      target_arch: arm
      toolchain: gcc-10
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM_TI_CPUFREQ=y, CONFIG_SERIAL_8250_OMAP=y, CONFIG_POSIX_MQUEUE=y, CONFIG_OF=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_GPIOLIB=y, CONFIG_GPIO_CDEV=y, CONFIG_GPIO_MOCKUP=m ]
  tests:
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [libgpiod]
      timeouts: { "boot": *boot-timeout-arm }
- name: arm-gcc-kunit
  builds:
    - build_name: gcc-10-lkftconfig-kunit
      target_arch: arm
      toolchain: gcc-10
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM_TI_CPUFREQ=y, CONFIG_SERIAL_8250_OMAP=y, CONFIG_POSIX_MQUEUE=y, CONFIG_OF=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_KASAN=y, CONFIG_KUNIT=y, CONFIG_KUNIT_ALL_TESTS=y ]
  tests:
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [kunit]
      timeouts: { "boot": *boot-timeout-arm }
- name: arm-gcc-rcutorture
  builds:
    - build_name: gcc-10-lkftconfig-rcutorture
      target_arch: arm
      toolchain: gcc-10
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM_TI_CPUFREQ=y, CONFIG_SERIAL_8250_OMAP=y, CONFIG_POSIX_MQUEUE=y, CONFIG_OF=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_RCU_TORTURE_TEST=m ]
  tests:
    - device: qemu-armv7
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm
      tests: [rcutorture]
      timeouts: { "boot": *boot-timeout-arm }
# arm64
- name: arm64
  builds:
    - {target_arch: arm64, toolchain: gcc-8,    kconfig: allnoconfig}
    - {target_arch: arm64, toolchain: gcc-8,    kconfig: tinyconfig}
    - {target_arch: arm64, toolchain: gcc-9,    kconfig: allnoconfig}
    - {target_arch: arm64, toolchain: gcc-9,    kconfig: tinyconfig}
    - {target_arch: arm64, toolchain: gcc-10,   kconfig: allnoconfig}
    - {target_arch: arm64, toolchain: gcc-10,   kconfig: tinyconfig}
    - {target_arch: arm64, toolchain: gcc-11,   kconfig: allnoconfig}
    - {target_arch: arm64, toolchain: gcc-11,   kconfig: tinyconfig}
- name: arm64-clang
  builds:
    - {target_arch: arm64, toolchain: clang-11, kconfig: allnoconfig, make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-11, kconfig: defconfig,   make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-11, kconfig: tinyconfig,  make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-12, kconfig: allnoconfig, make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-12, kconfig: tinyconfig,  make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-12, kconfig: defconfig,   make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-13, kconfig: allnoconfig, make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-13, kconfig: defconfig,   make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-13, kconfig: tinyconfig,  make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-14, kconfig: allnoconfig, make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-14, kconfig: defconfig,   make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-14, kconfig: tinyconfig,  make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-nightly,  kconfig: allnoconfig, make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-nightly,  kconfig: defconfig,   make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-nightly,  kconfig: tinyconfig,  make_variables: {LD: ld.lld, LLVM_IAS: 0}}
- name: arm64-defconfig
  builds:
    - {target_arch: arm64, toolchain: gcc-11,   kconfig: [defconfig, CONFIG_KASAN=y, CONFIG_KUNIT=y, CONFIG_KUNIT_ALL_TESTS=y]}
    - {target_arch: arm64, toolchain: clang-14, kconfig: [defconfig, CONFIG_KASAN=y, CONFIG_KUNIT=y, CONFIG_KUNIT_ALL_TESTS=y],   make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: arm64, toolchain: clang-nightly,  kconfig: [defconfig, CONFIG_KASAN=y, CONFIG_KUNIT=y, CONFIG_KUNIT_ALL_TESTS=y],   make_variables: {LD: ld.lld, LLVM_IAS: 0}}
  tests:
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [kunit]
      timeouts: { "boot": *boot-timeout-arm64 }
- name: arm64-lkftconfig-build-only
  builds:
    - build_name: clang-12-lkftconfig
      target_arch: arm64
      toolchain: clang-12
      make_variables:
        LLVM_IAS: 0
        LD: ld.lld
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y ]
    - build_name: clang-13-lkftconfig
      target_arch: arm64
      toolchain: clang-13
      make_variables:
        LLVM_IAS: 0
        LD: ld.lld
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y ]
    - build_name: gcc-11-lkftconfig-debug
      target_arch: arm64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_DEBUG_ATOMIC_SLEEP=y, CONFIG_DEBUG_INFO=y, CONFIG_DEBUG_PREEMPT=y, CONFIG_DEBUG_VM=y ]
    - build_name: gcc-11-lkftconfig-kasan
      target_arch: arm64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_KASAN=y ]
    - build_name: gcc-11-lkftconfig-kselftest-kernel
      target_arch: arm64
      toolchain: gcc-11
      targets: ["debugkernel", "dtbs", "dtbs-legacy", "headers", "kernel", "modules"]
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, make:kselftest-merge ]
    - build_name: gcc-11-lkftconfig-perf
      target_arch: arm64
      toolchain: gcc-11
      targets: ["dtbs", "dtbs-legacy", "headers", "kernel", "modules", "perf"]
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_FTRACE_SYSCALLS=y ]
- name: arm64-lkftconfig-boot-tests-only
  builds:
    - build_name: gcc-11-lkftconfig-devicetree
      target_arch: arm64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_OF_UNITTEST=y ]
  tests:
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      timeouts: { "boot": *boot-timeout-arm64 }
- name: arm64-lkftconfig-tests
  builds:
    - build_name: clang-14-lkftconfig
      target_arch: arm64
      toolchain: clang-14
      make_variables:
        LLVM_IAS: 0
        LD: ld.lld
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y ]
    - build_name: clang-nightly-lkftconfig
      target_arch: arm64
      toolchain: clang-nightly
      make_variables:
        LLVM_IAS: 0
        LD: ld.lld
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y ]
    - build_name: gcc-11-lkftconfig
      target_arch: arm64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y ]
    - build_name: gcc-11-lkftconfig-64k_page_size
      target_arch: arm64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_ARM64_64K_PAGES=y ]
    - build_name: gcc-11-lkftconfig-armv8_features
      target_arch: arm64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_ARM64_RAS_EXTN=y, CONFIG_ARM64_PMEM=y, CONFIG_ARM64_CNP=y, CONFIG_ARM64_SW_TTBR0_PAN=y ]
    - build_name: gcc-11-lkftconfig-debug-kmemleak
      target_arch: arm64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_DEBUG_KMEMLEAK=y ]
  tests:
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [libhugetlbfs]
      timeouts: { "boot": *boot-timeout-arm64 }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-cap_bounds]
      timeouts: { "boot": *boot-timeout-arm64 }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-commands]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-commands": *ltp-commands-timeout }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-containers]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-containers": *ltp-containers-timeout }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-crypto]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-crypto": *ltp-crypto-timeout }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-cve]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-cve": *ltp-cve-timeout }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-filecaps]
      timeouts: { "boot": *boot-timeout-arm64 }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-fs]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-fs": *ltp-fs-timeout }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-hugetlb]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-hugetlb": *ltp-hugetlb-timeout }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-io]
      timeouts: { "boot": *boot-timeout-arm64 }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-ipc]
      timeouts: { "boot": *boot-timeout-arm64 }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-math]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-math": *ltp-math-timeout }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-mm]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-mm": *ltp-mm-timeout }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-pty]
      timeouts: { "boot": *boot-timeout-arm64 }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-sched]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-sched": *ltp-sched-timeout }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-securebits]
      timeouts: { "boot": *boot-timeout-arm64 }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-syscalls]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-syscalls": *ltp-syscalls-timeout }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-tracing]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-tracing": *ltp-tracing-timeout }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-controllers]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-controllers": *ltp-controllers-timeout }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-fcntl-locktests]
      timeouts: { "boot": *boot-timeout-arm64 }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-fs_bind]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-fs_bind": *ltp-fs_bind-timeout }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-fs_perms_simple]
      timeouts: { "boot": *boot-timeout-arm64 }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-fsx]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-fsx": *ltp-fsx-timeout }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-nptl]
      timeouts: { "boot": *boot-timeout-arm64 }
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [ltp-smoke]
      timeouts: { "boot": *boot-timeout-arm64, "ltp-smoke": *ltp-smoke-timeout }
- name: arm64-gcc-libgpiod
  builds:
    - build_name: gcc-11-lkftconfig-libgpiod
      target_arch: arm64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_GPIOLIB=y, CONFIG_GPIO_CDEV=y, CONFIG_GPIO_MOCKUP=m ]
  tests:
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [libgpiod]
      timeouts: { "boot": *boot-timeout-arm64 }
- name: arm64-gcc-kunit
  builds:
    - build_name: gcc-11-lkftconfig-kunit
      target_arch: arm64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_KASAN=y, CONFIG_KUNIT=y, CONFIG_KUNIT_ALL_TESTS=y ]
  tests:
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [kunit]
      timeouts: { "boot": *boot-timeout-arm64 }
- name: arm64-gcc-rcutorture
  builds:
    - build_name: gcc-11-lkftconfig-rcutorture
      target_arch: arm64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_ARM64_MODULE_PLTS=y, CONFIG_SYN_COOKIES=y, CONFIG_SCHEDSTATS=y, CONFIG_RCU_TORTURE_TEST=m ]
  tests:
    - device: qemu-arm64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-arm64
      tests: [rcutorture]
      timeouts: { "boot": *boot-timeout-arm64 }
# i386
- name: i386
  builds:
    - {target_arch: i386, toolchain: gcc-8,  kconfig: allnoconfig}
    - {target_arch: i386, toolchain: gcc-8,  kconfig: i386_defconfig}
    - {target_arch: i386, toolchain: gcc-8,  kconfig: tinyconfig}
    - {target_arch: i386, toolchain: gcc-9,  kconfig: allnoconfig}
    - {target_arch: i386, toolchain: gcc-9,  kconfig: i386_defconfig}
    - {target_arch: i386, toolchain: gcc-9,  kconfig: tinyconfig}
    - {target_arch: i386, toolchain: gcc-10, kconfig: allnoconfig}
    - {target_arch: i386, toolchain: gcc-10, kconfig: defconfig}
    - {target_arch: i386, toolchain: gcc-10, kconfig: tinyconfig}
    - {target_arch: i386, toolchain: gcc-11, kconfig: allnoconfig}
    - {target_arch: i386, toolchain: gcc-11, kconfig: defconfig}
    - {target_arch: i386, toolchain: gcc-11, kconfig: tinyconfig}
- name: i386-lkftconfig-build-only
  builds:
    - build_name: gcc-11-lkftconfig-debug
      target_arch: i386
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, CONFIG_DEBUG_ATOMIC_SLEEP=y, CONFIG_DEBUG_INFO=y, CONFIG_DEBUG_PREEMPT=y, CONFIG_DEBUG_VM=y ]
    - build_name: gcc-11-lkftconfig-debug-kmemleak
      target_arch: i386
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, CONFIG_DEBUG_KMEMLEAK=y ]
    - build_name: gcc-11-lkftconfig-kselftest-kernel
      target_arch: i386
      toolchain: gcc-11
      targets: ["debugkernel", "cpupower", "headers", "kernel", "modules"]
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, make:kselftest-merge ]
    - build_name: gcc-11-lkftconfig-perf
      target_arch: i386
      toolchain: gcc-11
      targets: ["debugkernel", "headers", "kernel", "modules", "perf"]
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, CONFIG_FTRACE_SYSCALLS=y ]
- name: i386-lkftconfig-tests
  builds:
    - build_name: gcc-11-lkftconfig
      target_arch: i386
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y ]
  tests:
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [libhugetlbfs]
      timeouts: { "boot": *boot-timeout-i386 }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-cap_bounds]
      timeouts: { "boot": *boot-timeout-i386 }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-commands]
      timeouts: { "boot": *boot-timeout-i386, "ltp-commands": *ltp-commands-timeout }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-containers]
      timeouts: { "boot": *boot-timeout-i386, "ltp-containers": *ltp-containers-timeout }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-crypto]
      timeouts: { "boot": *boot-timeout-i386, "ltp-crypto": *ltp-crypto-timeout }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-cve]
      timeouts: { "boot": *boot-timeout-i386, "ltp-cve": *ltp-cve-timeout }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-filecaps]
      timeouts: { "boot": *boot-timeout-i386 }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-fs]
      timeouts: { "boot": *boot-timeout-i386, "ltp-fs": *ltp-fs-timeout }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-hugetlb]
      timeouts: { "boot": *boot-timeout-i386, "ltp-hugetlb": *ltp-hugetlb-timeout }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-io]
      timeouts: { "boot": *boot-timeout-i386 }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-ipc]
      timeouts: { "boot": *boot-timeout-i386 }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-math]
      timeouts: { "boot": *boot-timeout-i386, "ltp-math": *ltp-math-timeout }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-mm]
      timeouts: { "boot": *boot-timeout-i386, "ltp-mm": *ltp-mm-timeout }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-pty]
      timeouts: { "boot": *boot-timeout-i386 }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-sched]
      timeouts: { "boot": *boot-timeout-i386, "ltp-sched": *ltp-sched-timeout }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-securebits]
      timeouts: { "boot": *boot-timeout-i386 }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-syscalls]
      timeouts: { "boot": *boot-timeout-i386, "ltp-syscalls": *ltp-syscalls-timeout }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-tracing]
      timeouts: { "boot": *boot-timeout-i386, "ltp-tracing": *ltp-tracing-timeout }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-controllers]
      timeouts: { "boot": *boot-timeout-i386, "ltp-controllers": *ltp-controllers-timeout }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-fcntl-locktests]
      timeouts: { "boot": *boot-timeout-i386 }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-fs_bind]
      timeouts: { "boot": *boot-timeout-i386, "ltp-fs_bind": *ltp-fs_bind-timeout }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-fs_perms_simple]
      timeouts: { "boot": *boot-timeout-i386 }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-fsx]
      timeouts: { "boot": *boot-timeout-i386, "ltp-fsx": *ltp-fsx-timeout }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-nptl]
      timeouts: { "boot": *boot-timeout-i386 }
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [ltp-smoke]
      timeouts: { "boot": *boot-timeout-i386, "ltp-smoke": *ltp-smoke-timeout }
- name: i386-gcc-libgpiod
  builds:
    - build_name: gcc-11-lkftconfig-libgpiod
      target_arch: i386
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, CONFIG_GPIOLIB=y, CONFIG_GPIO_CDEV=y, CONFIG_GPIO_MOCKUP=m ]
  tests:
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [libgpiod]
      timeouts: { "boot": *boot-timeout-i386 }
- name: i386-gcc-kunit
  builds:
    - build_name: gcc-11-lkftconfig-kunit
      target_arch: i386
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, CONFIG_KASAN=y, CONFIG_KUNIT=y, CONFIG_KUNIT_ALL_TESTS=y ]
  tests:
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [kunit]
      timeouts: { "boot": *boot-timeout-i386 }
- name: i386-gcc-rcutorture
  builds:
    - build_name: gcc-11-lkftconfig-rcutorture
      target_arch: i386
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, CONFIG_RCU_TORTURE_TEST=m ]
  tests:
    - device: qemu-i386
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-i386
      tests: [rcutorture]
      timeouts: { "boot": *boot-timeout-i386 }
# mips
- name: mips
  builds:
    - {target_arch: mips, toolchain: gcc-8,  kconfig: allnoconfig}
    - {target_arch: mips, toolchain: gcc-8,  kconfig: defconfig}
    - {target_arch: mips, toolchain: gcc-8,  kconfig: tinyconfig}
    - {target_arch: mips, toolchain: gcc-8,  kconfig: ar7_defconfig}
    - {target_arch: mips, toolchain: gcc-8,  kconfig: ath79_defconfig}
    - {target_arch: mips, toolchain: gcc-8,  kconfig: bcm47xx_defconfig}
    - {target_arch: mips, toolchain: gcc-8,  kconfig: bcm63xx_defconfig}
    - {target_arch: mips, toolchain: gcc-8,  kconfig: cavium_octeon_defconfig}
    - {target_arch: mips, toolchain: gcc-8,  kconfig: malta_defconfig}
    - {target_arch: mips, toolchain: gcc-8,  kconfig: rt305x_defconfig}
    - {target_arch: mips, toolchain: gcc-10, kconfig: allnoconfig}
    - {target_arch: mips, toolchain: gcc-10, kconfig: defconfig}
    - {target_arch: mips, toolchain: gcc-10, kconfig: tinyconfig}
    - {target_arch: mips, toolchain: gcc-10, kconfig: ar7_defconfig}
    - {target_arch: mips, toolchain: gcc-10, kconfig: ath79_defconfig}
    - {target_arch: mips, toolchain: gcc-10, kconfig: bcm47xx_defconfig}
    - {target_arch: mips, toolchain: gcc-10, kconfig: bcm63xx_defconfig}
    - {target_arch: mips, toolchain: gcc-10, kconfig: cavium_octeon_defconfig}
    - {target_arch: mips, toolchain: gcc-10, kconfig: malta_defconfig}
    - {target_arch: mips, toolchain: gcc-10, kconfig: rt305x_defconfig}
    - {target_arch: mips, toolchain: gcc-11, kconfig: allnoconfig}
    - {target_arch: mips, toolchain: gcc-11, kconfig: defconfig}
    - {target_arch: mips, toolchain: gcc-11, kconfig: tinyconfig}
    - {target_arch: mips, toolchain: gcc-11, kconfig: ar7_defconfig}
    - {target_arch: mips, toolchain: gcc-11, kconfig: ath79_defconfig}
    - {target_arch: mips, toolchain: gcc-11, kconfig: bcm47xx_defconfig}
    - {target_arch: mips, toolchain: gcc-11, kconfig: bcm63xx_defconfig}
    - {target_arch: mips, toolchain: gcc-11, kconfig: cavium_octeon_defconfig}
    - {target_arch: mips, toolchain: gcc-11, kconfig: malta_defconfig}
    - {target_arch: mips, toolchain: gcc-11, kconfig: rt305x_defconfig}
- name: parisc
  builds:
    - {target_arch: parisc, toolchain: gcc-8,  kconfig: allnoconfig}
    - {target_arch: parisc, toolchain: gcc-8,  kconfig: defconfig}
    - {target_arch: parisc, toolchain: gcc-8,  kconfig: tinyconfig}
    - {target_arch: parisc, toolchain: gcc-9,  kconfig: allnoconfig}
    - {target_arch: parisc, toolchain: gcc-9,  kconfig: defconfig}
    - {target_arch: parisc, toolchain: gcc-9,  kconfig: tinyconfig}
    - {target_arch: parisc, toolchain: gcc-10, kconfig: allnoconfig}
    - {target_arch: parisc, toolchain: gcc-10, kconfig: defconfig}
    - {target_arch: parisc, toolchain: gcc-10, kconfig: tinyconfig}
    - {target_arch: parisc, toolchain: gcc-11, kconfig: allnoconfig}
    - {target_arch: parisc, toolchain: gcc-11, kconfig: defconfig}
    - {target_arch: parisc, toolchain: gcc-11, kconfig: tinyconfig}
- name: ppc
  builds:
    - {target_arch: powerpc, toolchain: gcc-8,  kconfig: defconfig}
    - {target_arch: powerpc, toolchain: gcc-8,  kconfig: ppc64e_defconfig}
    - {target_arch: powerpc, toolchain: gcc-8,  kconfig: cell_defconfig}
    - {target_arch: powerpc, toolchain: gcc-8,  kconfig: maple_defconfig}
    - {target_arch: powerpc, toolchain: gcc-9,  kconfig: defconfig}
    - {target_arch: powerpc, toolchain: gcc-9,  kconfig: ppc64e_defconfig}
    - {target_arch: powerpc, toolchain: gcc-9,  kconfig: cell_defconfig}
    - {target_arch: powerpc, toolchain: gcc-9,  kconfig: maple_defconfig}
    - {target_arch: powerpc, toolchain: gcc-10, kconfig: defconfig}
    - {target_arch: powerpc, toolchain: gcc-10, kconfig: ppc64e_defconfig}
    - {target_arch: powerpc, toolchain: gcc-10, kconfig: cell_defconfig}
    - {target_arch: powerpc, toolchain: gcc-10, kconfig: maple_defconfig}
    - {target_arch: powerpc, toolchain: gcc-11, kconfig: defconfig}
    - {target_arch: powerpc, toolchain: gcc-11, kconfig: ppc64e_defconfig}
    - {target_arch: powerpc, toolchain: gcc-11, kconfig: cell_defconfig}
    - {target_arch: powerpc, toolchain: gcc-11, kconfig: maple_defconfig}
- name: s390
  builds:
    - {target_arch: s390, toolchain: gcc-8,  kconfig: allnoconfig}
    - {target_arch: s390, toolchain: gcc-8,  kconfig: [defconfig, CONFIG_DEBUG_INFO_BTF=n]}
    - {target_arch: s390, toolchain: gcc-8,  kconfig: tinyconfig}
    - {target_arch: s390, toolchain: gcc-9,  kconfig: allnoconfig}
    - {target_arch: s390, toolchain: gcc-9,  kconfig: defconfig}
    - {target_arch: s390, toolchain: gcc-9,  kconfig: tinyconfig}
    - {target_arch: s390, toolchain: gcc-10, kconfig: allnoconfig}
    - {target_arch: s390, toolchain: gcc-10, kconfig: defconfig}
    - {target_arch: s390, toolchain: gcc-10, kconfig: tinyconfig}
    - {target_arch: s390, toolchain: gcc-11, kconfig: allnoconfig}
    - {target_arch: s390, toolchain: gcc-11, kconfig: defconfig}
    - {target_arch: s390, toolchain: gcc-11, kconfig: tinyconfig}
- name: sh
  builds:
    - {target_arch: sh, toolchain: gcc-8,  kconfig: allnoconfig}
    - {target_arch: sh, toolchain: gcc-8,  kconfig: defconfig}
    - {target_arch: sh, toolchain: gcc-8,  kconfig: tinyconfig}
    - {target_arch: sh, toolchain: gcc-8,  kconfig: dreamcast_defconfig}
    - {target_arch: sh, toolchain: gcc-8,  kconfig: microdev_defconfig}
    - {target_arch: sh, toolchain: gcc-8,  kconfig: shx3_defconfig}
    - {target_arch: sh, toolchain: gcc-9,  kconfig: allnoconfig}
    - {target_arch: sh, toolchain: gcc-9,  kconfig: defconfig}
    - {target_arch: sh, toolchain: gcc-9,  kconfig: tinyconfig}
    - {target_arch: sh, toolchain: gcc-9,  kconfig: dreamcast_defconfig}
    - {target_arch: sh, toolchain: gcc-9,  kconfig: microdev_defconfig}
    - {target_arch: sh, toolchain: gcc-9,  kconfig: shx3_defconfig}
    - {target_arch: sh, toolchain: gcc-10, kconfig: allnoconfig}
    - {target_arch: sh, toolchain: gcc-10, kconfig: defconfig}
    - {target_arch: sh, toolchain: gcc-10, kconfig: tinyconfig}
    - {target_arch: sh, toolchain: gcc-10, kconfig: dreamcast_defconfig}
    - {target_arch: sh, toolchain: gcc-10, kconfig: microdev_defconfig}
    - {target_arch: sh, toolchain: gcc-10, kconfig: shx3_defconfig}
    - {target_arch: sh, toolchain: gcc-11, kconfig: allnoconfig}
    - {target_arch: sh, toolchain: gcc-11, kconfig: defconfig}
    - {target_arch: sh, toolchain: gcc-11, kconfig: tinyconfig}
    - {target_arch: sh, toolchain: gcc-11, kconfig: dreamcast_defconfig}
    - {target_arch: sh, toolchain: gcc-11, kconfig: microdev_defconfig}
    - {target_arch: sh, toolchain: gcc-11, kconfig: shx3_defconfig}
- name: sparc
  builds:
    - {target_arch: sparc, toolchain: gcc-8,  kconfig: allnoconfig}
    - {target_arch: sparc, toolchain: gcc-8,  kconfig: defconfig}
    - {target_arch: sparc, toolchain: gcc-8,  kconfig: tinyconfig}
    - {target_arch: sparc, toolchain: gcc-9,  kconfig: allnoconfig}
    - {target_arch: sparc, toolchain: gcc-9,  kconfig: defconfig}
    - {target_arch: sparc, toolchain: gcc-9,  kconfig: tinyconfig}
    - {target_arch: sparc, toolchain: gcc-10, kconfig: allnoconfig}
    - {target_arch: sparc, toolchain: gcc-10, kconfig: defconfig}
    - {target_arch: sparc, toolchain: gcc-10, kconfig: tinyconfig}
    - {target_arch: sparc, toolchain: gcc-11, kconfig: allnoconfig}
    - {target_arch: sparc, toolchain: gcc-11, kconfig: defconfig}
    - {target_arch: sparc, toolchain: gcc-11, kconfig: tinyconfig}
# x86_64
- name: x86
  builds:
    - {target_arch: x86_64, toolchain: gcc-8,  kconfig: allnoconfig}
    - {target_arch: x86_64, toolchain: gcc-8,  kconfig: tinyconfig}
    - {target_arch: x86_64, toolchain: gcc-8,  kconfig: x86_64_defconfig}
    - {target_arch: x86_64, toolchain: gcc-9,  kconfig: allnoconfig}
    - {target_arch: x86_64, toolchain: gcc-9,  kconfig: tinyconfig}
    - {target_arch: x86_64, toolchain: gcc-9,  kconfig: x86_64_defconfig}
    - {target_arch: x86_64, toolchain: gcc-10, kconfig: allnoconfig}
    - {target_arch: x86_64, toolchain: gcc-10, kconfig: defconfig}
    - {target_arch: x86_64, toolchain: gcc-10, kconfig: tinyconfig}
    - {target_arch: x86_64, toolchain: gcc-11, kconfig: allnoconfig}
    - {target_arch: x86_64, toolchain: gcc-11, kconfig: defconfig}
    - {target_arch: x86_64, toolchain: gcc-11, kconfig: tinyconfig}
- name: x86-clang
  builds:
    - {target_arch: x86_64, toolchain: clang-11, kconfig: allnoconfig,            make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: x86_64, toolchain: clang-11, kconfig: tinyconfig,             make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: x86_64, toolchain: clang-11, kconfig: x86_64_defconfig,       make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: x86_64, toolchain: clang-12, kconfig: allnoconfig,            make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: x86_64, toolchain: clang-12, kconfig: tinyconfig,             make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: x86_64, toolchain: clang-12, kconfig: x86_64_defconfig,       make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: x86_64, toolchain: clang-13, kconfig: allnoconfig,            make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: x86_64, toolchain: clang-13, kconfig: tinyconfig,             make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: x86_64, toolchain: clang-13, kconfig: x86_64_defconfig,       make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: x86_64, toolchain: clang-14, kconfig: allnoconfig,            make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: x86_64, toolchain: clang-14, kconfig: tinyconfig,             make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: x86_64, toolchain: clang-14, kconfig: x86_64_defconfig,       make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: x86_64, toolchain: clang-nightly, kconfig: allnoconfig,       make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: x86_64, toolchain: clang-nightly, kconfig: tinyconfig,        make_variables: {LD: ld.lld, LLVM_IAS: 0}}
    - {target_arch: x86_64, toolchain: clang-nightly, kconfig: x86_64_defconfig,  make_variables: {LD: ld.lld, LLVM_IAS: 0}}
- name: x86-lkftconfig-build-only
  builds:
    - build_name: clang-12-lkftconfig
      target_arch: x86_64
      toolchain: clang-12
      make_variables:
        LLVM_IAS: 0
        LD: ld.lld
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y ]
    - build_name: clang-13-lkftconfig
      target_arch: x86_64
      toolchain: clang-13
      make_variables:
        LLVM_IAS: 0
        LD: ld.lld
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y ]
    - build_name: clang-14-lkftconfig-kcsan
      target_arch: x86_64
      toolchain: clang-14
      make_variables:
        LLVM_IAS: 0
        LD: ld.lld
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, CONFIG_KCSAN=y ]
    - build_name: gcc-11-lkftconfig-debug
      target_arch: x86_64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, CONFIG_DEBUG_ATOMIC_SLEEP=y, CONFIG_DEBUG_INFO=y, CONFIG_DEBUG_PREEMPT=y, CONFIG_DEBUG_VM=y ]
    - build_name: gcc-11-lkftconfig-kasan
      target_arch: x86_64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, CONFIG_KASAN=y ]
    - build_name: gcc-11-lkftconfig-kselftest-kernel
      target_arch: x86_64
      toolchain: gcc-11
      targets: ["debugkernel", "headers", "kernel", "modules"]
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, make:kselftest-merge ]
    - build_name: gcc-11-lkftconfig-perf
      target_arch: x86_64
      toolchain: gcc-11
      targets: ["debugkernel", "headers", "kernel", "modules", "perf"]
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, CONFIG_FTRACE_SYSCALLS=y ]
- name: x86-lkftconfig-tests
  builds:
    - build_name: clang-14-lkftconfig
      target_arch: x86_64
      toolchain: clang-14
      make_variables:
        LLVM_IAS: 0
        LD: ld.lld
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y ]
    - build_name: clang-nightly-lkftconfig
      target_arch: x86_64
      toolchain: clang-nightly
      make_variables:
        LLVM_IAS: 0
        LD: ld.lld
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y ]
    - build_name: gcc-11-lkftconfig
      target_arch: x86_64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y ]
    - build_name: gcc-11-lkftconfig-debug-kmemleak
      target_arch: x86_64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, CONFIG_DEBUG_KMEMLEAK=y ]
  tests:
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [libhugetlbfs]
      timeouts: { "boot": *boot-timeout-x86 }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-cap_bounds]
      timeouts: { "boot": *boot-timeout-x86 }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-commands]
      timeouts: { "boot": *boot-timeout-x86, "ltp-commands": *ltp-commands-timeout }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-containers]
      timeouts: { "boot": *boot-timeout-x86, "ltp-containers": *ltp-containers-timeout }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-crypto]
      timeouts: { "boot": *boot-timeout-x86, "ltp-crypto": *ltp-crypto-timeout }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-cve]
      timeouts: { "boot": *boot-timeout-x86 }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-filecaps]
      timeouts: { "boot": *boot-timeout-x86 }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-fs]
      timeouts: { "boot": *boot-timeout-x86, "ltp-fs": *ltp-fs-timeout }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-hugetlb]
      timeouts: { "boot": *boot-timeout-x86, "ltp-hugetlb": *ltp-hugetlb-timeout }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-io]
      timeouts: { "boot": *boot-timeout-x86 }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-ipc]
      timeouts: { "boot": *boot-timeout-x86 }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-math]
      timeouts: { "boot": *boot-timeout-x86, "ltp-math": *ltp-math-timeout }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-mm]
      timeouts: { "boot": *boot-timeout-x86, "ltp-mm": *ltp-mm-timeout }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-pty]
      timeouts: { "boot": *boot-timeout-x86 }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-sched]
      timeouts: { "boot": *boot-timeout-x86, "ltp-sched": *ltp-sched-timeout }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-securebits]
      timeouts: { "boot": *boot-timeout-x86 }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-syscalls]
      timeouts: { "boot": *boot-timeout-x86, "ltp-syscalls": *ltp-syscalls-timeout }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-tracing]
      timeouts: { "boot": *boot-timeout-x86, "ltp-tracing": *ltp-tracing-timeout }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-controllers]
      timeouts: { "boot": *boot-timeout-x86, "ltp-controllers": *ltp-controllers-timeout }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-fcntl-locktests]
      timeouts: { "boot": *boot-timeout-x86 }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-fs_bind]
      timeouts: { "boot": *boot-timeout-x86, "ltp-fs_bind": *ltp-fs_bind-timeout }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-fs_perms_simple]
      timeouts: { "boot": *boot-timeout-x86 }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-fsx]
      timeouts: { "boot": *boot-timeout-x86, "ltp-fsx": *ltp-fsx-timeout }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-nptl]
      timeouts: { "boot": *boot-timeout-x86 }
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [ltp-smoke]
      timeouts: { "boot": *boot-timeout-x86, "ltp-smoke": *ltp-smoke-timeout }
- name: x86-gcc-libgpiod
  builds:
    - build_name: gcc-11-lkftconfig-libgpiod
      target_arch: x86_64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, CONFIG_GPIOLIB=y, CONFIG_GPIO_CDEV=y, CONFIG_GPIO_MOCKUP=m ]
  tests:
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [libgpiod]
      timeouts: { "boot": *boot-timeout-x86 }
- name: x86-gcc-kunit
  builds:
    - build_name: gcc-11-lkftconfig-kunit
      target_arch: x86_64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, CONFIG_KASAN=y, CONFIG_KUNIT=y, CONFIG_KUNIT_ALL_TESTS=y ]
  tests:
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [kunit]
      timeouts: { "boot": *boot-timeout-x86 }
- name: x86-gcc-rcutorture
  builds:
    - build_name: gcc-11-lkftconfig-rcutorture
      target_arch: x86_64
      toolchain: gcc-11
      kconfig: [ defconfig, *frag-lkft-base, *frag-lkft-crypto, *frag-lkft-distro, *frag-lkft-systemd, *frag-lkft-virtio, CONFIG_IGB=y, CONFIG_UNWINDER_FRAME_POINTER=y, CONFIG_SYN_COOKIES=y, CONFIG_RCU_TORTURE_TEST=m ]
  tests:
    - device: qemu-x86_64
      parameters: {SKIPFILE: "skipfile-lkft.yaml"}
      rootfs: *rootfs-lkft-x86_64
      tests: [rcutorture]
      timeouts: { "boot": *boot-timeout-x86 }
